Subject: bug#18246: enriched-encode: should set inhibit-point-motion-hooks, too

From: Ivan Shmakov <[email-masked]>
Date: Thu, 14 Aug 2014 18:14:25 +0000

>>>>> Richard Stallman <[email-masked]> writes:

[…]

 > Another option would be to use text that is read-only but not
 > intangible.  Maybe users won't be disturbed by being able to move
 > point to the middle of fixed text in the form.

	For one thing, I actually consider the ability to move point to
	the middle of virtually /any/ text, including “fixed,” in Emacs
	(it’s not just forms, – think of tmm-menubar, for instance, or
	minibuffer prompts) to be a considerable /advantage./  And it
	gets especially useful when, say, writing a guide, – copying
	text from menus, forms, etc. is not nearly as easy in the
	majority of the modern (non-tty) software.

	(That being said, I believe it’s easier to point the reader to
	M-x foo-do-something than to Menu Bar → Foo → Do Something,
	so I’d say that menus are not as important to Emacs as they are
	to some other software, anyway.)

 > I feel that none of these offers behavior that is really right and
 > smooth for a form.  I think this is an area for improvement in Emacs.

	I’m all for improvements to Emacs.  In the case of ‘intangible’,
	however, – I’m out of ideas.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A